pointybeard/pdftoolbox

PHP Wrapper for callas pdfToolbox

1.0.2 2022-07-08 05:28 UTC

This package is auto-updated.

Last update: 2024-06-17 04:47:36 UTC


README

PHP Wrapper for callas pdfToolbox

A PHP wrapper class for callas pdfToolbox.

Installation

This library is installed via Composer. To install, use composer require pointybeard/pdftoolbox or add "pointybeard/pdftoolbox": "~1.0.0" to your composer.json file.

And run composer to update your dependencies:

$ curl -s http://getcomposer.org/installer | php
$ php composer.phar update

Requirements

This library requires pdfToolbox and PHP 7.4 or greater is installed.

Usage

Here is a basic usage example:

<?php

declare(strict_types=1);

include "vendor/autoload.php";

use pointybeard\PdfToolbox;

// Generate a report for input files using profile
PdfToolbox\PdfToolbox::process(
    'test_profile.kfpx',
    ['test.pdf', 'test2.pdf'],
    [
        'report' => ['JSON,ERROR,WARNING,PATH=./report/testreport.json'],
        'a',
        'setvariable' => [
            'RESOLUTION:300',
            'PAGE_COUNT:2',
        ]
    ],
    $o,
    $e
);

var_dump($o, $e);

See pdfToolbox --help on the command line to see help information for each of the options it supports.

Support

If you believe you have found a bug, please report it using the GitHub issue tracker, or better yet, fork the library and submit a pull request.

Contributing

We encourage you to contribute to this project. Please check out the Contributing documentation for guidelines about how to get involved.

License

"PHP Wrapper for callas pdfToolbox" is released under the MIT License.